/*
 * Created on 2005/01/26
 *
 */
package jnet.application.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
import javax.swing.JButton;
import java.awt.FlowLayout;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
/**
 * @author Kazuya Sakai
 * @version 
 * @since jdk 1.4.2
 */
public class QueryPanel extends JPanel {
	
	private int queryPaneHeigh = 30;
	
	private int optionPaneHeight = 100;
	
	private JDesktopPane jDesktopPane = null;
	private JPanel queryPanel = null;
	private JButton jButton = null;
	private JPanel optionPanel = null;
	private JTextArea infomationArea = null;
	private JScrollPane informationScrollPanel = null;
	/**
	 * This is the default constructor
	 */
	public QueryPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(250,330);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(250,330));
			jDesktopPane.add(getQueryPanel(), null);
			jDesktopPane.add(getOptionPanel(), null);
			jDesktopPane.add(getInformationScrollPanel(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getQueryPanel() {
		if (queryPanel == null) {
			queryPanel = new JPanel();
			queryPanel.setLayout(new FlowLayout());
			queryPanel.setBounds(5, 0, 245, queryPaneHeigh);
			queryPanel.add(getJButton(), null);
		}
		return queryPanel;
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("What happens?");
			jButton.setPreferredSize(new java.awt.Dimension(150,23));
			jButton.setFont(new java.awt.Font("Times New Roman", java.awt.Font.PLAIN, 12));
			jButton.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		}
		return jButton;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getOptionPanel() {
		if (optionPanel == null) {
			optionPanel = new JPanel();
			optionPanel.setBounds(5, queryPaneHeigh, 245, optionPaneHeight);
		}
		return optionPanel;
	}
	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */    
	private JTextArea getInfomationArea() {
		if (infomationArea == null) {
			infomationArea = new JTextArea();
			infomationArea.setEditable(false);
			infomationArea.setBackground(new java.awt.Color(204,204,204));
		}
		return infomationArea;
	}
	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */    
	private JScrollPane getInformationScrollPanel() {
		if (informationScrollPanel == null) {
			informationScrollPanel = new JScrollPane();
			informationScrollPanel.setBounds(5,
								  queryPaneHeigh + optionPaneHeight,
								  245,
								  getHeight() - queryPaneHeigh - optionPaneHeight - 5);
			informationScrollPanel.setViewportView(getInfomationArea());
		}
		return informationScrollPanel;
	}
       }
