/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.gui;

import javax.swing.JPanel;

import java.awt.GridLayout;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FileManagerDisplayPanel extends JPanel {
	/**
	 * size of window
	 */
	public  static final int WINDOW_HEIGHT = 250;
	
	/**
	 * size of window
	 */
	public  static final int WINDOW_WIDTH = 250;
	
	private String howToUse = "This is a file manager tab.\n" +
	  						   "With this tool, you can save your GPS infoamrion.\n" +
							   "How to save is as follow.\n\n" +
							   "1st:click Display data button and your GPS information is shown right field.\n" +
							   "2nd:Modifi this data.\n" +
							   "3rd:write file name and click Save shown data button.\n";
	
	private static JTextArea jTextArea = null;
	private JScrollPane jScrollPane = null;
	/**
	 * This is the default constructor
	 */
	public FileManagerDisplayPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		GridLayout gridLayout2 = new GridLayout();
		this.setLayout(gridLayout2);
		this.setSize(300,200);
		gridLayout2.setRows(1);
		this.add(getJScrollPane(), null);
	}
	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */    
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
			jTextArea.setText(howToUse);
		}
		return jTextArea;
	}
	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */    
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setViewportView(getJTextArea());
		}
		return jScrollPane;
	}
	/**
	 * This method reuturns JTextField.
	 * 
	 * @return instance of JTextField.
	 */
	public static JTextArea getInstanceOfJTextArea() {
		return jTextArea;
	}
  }
