/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.sorce;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import jnet.application.property.ApplicationProperty;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class GpsInfoWriter {
	
	/**
	 * This method save GPS information to file.
	 * 
	 * @param fileName file name to save.
	 * @param Data data to save.
	 */
	public static void outputGpsInfo(String fileName, String data) {
		try {
			BufferedWriter writer =
					new BufferedWriter(new FileWriter(ApplicationProperty.getInstance().getOutputGpsDataPass()
													   + fileName
													   + ApplicationProperty.getInstance().getFileType()));
			writer.write(data);
			writer.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
