/*
 * Created on 2005/01/21
 *
 */
package test.buff;

import jnet.hiromicam.buff.Terminal;
import jnet.hiromicam.msg.FirstLevelInfo;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class TerminalTest {
	public static void main(String[] args) {
		int time = 0;
		int latitude = 0;
		int longitude = 0;
		
		Terminal t = new Terminal("192.168.0.32", "Sakai");
		
		for (int i = 0; i < 10; i++) {
			FirstLevelInfo msg = new FirstLevelInfo(String.valueOf(time),
												   String.valueOf(latitude),
												   String.valueOf(longitude),
												   "0", "2", "3", "20", "90.2");
			
			System.out.println(t.addFirstLevelInfo(msg));
			time++;
			latitude += 10;
			longitude += 10;
		}
		
		System.out.println(t.toString());
	}
}
