/*
 * Created on 2005/01/30
 *
 */
package test.msg;

import java.util.ArrayList;

import jnet.hiromicam.msg.EmergencyInfo;
import jnet.hiromicam.msg.Msg;
import jnet.hiromicam.msg.MsgTypeException;
import jnet.hiromicam.msg.pase.SecondLevelInfoPaser;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class EmergencyInfoPaseTest {

	public static void main(String[] args) throws MsgTypeException {
		ArrayList list = new ArrayList();
		list.add("generated22555");
		list.add("generated23655");
		list.add("generated68455");
		
		Msg msg = new EmergencyInfo("content123552",
									"time=123555",
									"192.168.0.14",
									list,
									"time = 4422",
									"236554", "25555", "a fire", "a fire accident in Kansai University.");
		
		System.out.println(msg.getMsg());
		System.out.println("------------------------");
//		
//		byte[] msgByte = msg.getMsg().getBytes();
//		String str = new String(msgByte);
		String str = msg.getMsg();
		if (str.endsWith("</" + Msg.SECOND_LEVEL_INFO_TAG + ">")) {
			
			SecondLevelInfoPaser pase = new SecondLevelInfoPaser();
			
			System.out.println(pase.paseXML(str).getMsg());
		} else {
			throw new MsgTypeException();
		}
	}
}
