/*
 * Created on 2005/01/20
 *
 */
package jnet.gps.process;

/**
 * This is interface of calculating speed.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface SpeedCalculator {
	
	/**
	 * The method for calculating speed.
	 * 
	 * @return speed
	 */
	String getSpeed(String cuLatitude, String cuLongitude, String exLatitude, String exLongitude);
}
