/*
 * Created on 2005/01/22
 *
 */
package jnet.hiromicam.buff;

import jnet.hiromicam.properity.SystemProperty;

/**
 * This class expresses own terminal.
 * As for this class, only one exists in this program.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class MyTerminal extends Terminal {
	/**
	 * This is only instance of MyTerminal.
	 */
	private static MyTerminal myTerminal = new MyTerminal();
	
	/**
	 * This is log size.
	 * for example, when LOG_SIZE = 5, this system save 5 First-Level Information
	 * ; 1 sec befor, 2 sec ... , 5 sec befor.
	 */
	protected static int buffSize = 10;
	
	/**
	 * nobady create instance from constractor.
	 *
	 */
	private MyTerminal() {
		super(SystemProperty.getInstance().getAddr(),
			   SystemProperty.getInstance().getHostName());
	}
	
	/**
	 * This method reuturn instance of this class.
	 * 
	 * @return instance of this class.
	 */
	public static MyTerminal getInstance() {
		return myTerminal;
	}
}
