/*
 * Created on 2005/01/20
 *
 */
package jnet.hiromicam.msg;

/**
 * This is a abstract class implemented Msg interface.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public abstract class MsgImpl implements Msg {
	
	/**
	 * the type of this message.
	 */
	protected int msgType;
	
	/* (non-Javadoc)
	 * @see jnet.hiromicam.msg.Message#getMsgType()
	 */
	public int getMsgType() {
		return msgType;
	}

	/* (non-Javadoc)
	 * @see jnet.hiromicam.msg.Message#getMsg()
	 */
	abstract public String getMsg();
}
