/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.sorce;

import java.io.IOException;
import java.util.ArrayList;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SourceData {
	
	private ArrayList targetList;
	
	private ArrayList mySourceList;
	
	/**
	 * This is a default constractor.
	 * 
	 * @param myFile own GPS Information file name.
	 * @param targetList target GPS Information.
	 * @throws IOException
	 */
	public SourceData(String myFile, ArrayList targetList) throws IOException {
		this.mySourceList = (ArrayList)SourceReader.readGpsInfo(myFile);
		this.targetList = (ArrayList)SourceReader.readGpsInfo(targetList);
	}
	
	/**
	 * @return Returns the mySourceList.
	 */
	public ArrayList getMySourceList() {
		return mySourceList;
	}
	
	/**
	 * @return Returns the targetSourceList.
	 */
	public ArrayList getTargetList() {
		return targetList;
	}
}
