/*
 * Created on 2005/01/21
 *
 */
package test.core;

import jnet.hiromicam.buff.Terminal;
import jnet.hiromicam.core.MsgSender;
import jnet.hiromicam.msg.FirstLevelInfo;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class MsgSenderTest {

	public static void main(String[] args) {
		int time = 0;
		int latitude = 0;
		int longitude = 0;
		
		Terminal t = new Terminal("192.168.0.32", "Sakai");
		
		for (int i = 0; i < 10; i++) {
			FirstLevelInfo msg = new FirstLevelInfo(String.valueOf(time),
												   String.valueOf(latitude),
												   String.valueOf(longitude),
												   "0", "2", "3", "20", "90.2");
			
			MsgSender.sendMsg(msg);
			System.out.println(msg.getMsg());
			time++;
			latitude += 10;
			longitude += 10;
			try {
				Thread.sleep(1000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}
