/*
 * Created on 2005/01/25
 *
 */
package test.sim;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import jnet.application.gui.MainWindow;
import jnet.hiromicam.core.FirstLevelInfoProcessor;
import jnet.hiromicam.util.file.GpsInfoLogger;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FileManagerTest {

	public static void main(String[] args) throws IOException {
		BufferedReader reader =
			new BufferedReader(new FileReader("gps_source/1-1.txt"));
	String buff;
	while ((buff = reader.readLine()) != null) {
		if(buff.startsWith("$GPGGA")){
			// processing GGA data
			FirstLevelInfoProcessor.processGpsInfo(buff);
			GpsInfoLogger.getInstance().addGpsInfo(buff);
		}
	}
	MainWindow mw = new MainWindow();
	mw.setVisible(true);
	
	}
}
