/*
 * Created on 2005/01/23
 *
 */
package test.util;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import jnet.application.property.ApplicationProperty;
import jnet.hiromicam.core.FirstLevelInfoProcessor;
import jnet.hiromicam.util.file.GpsInfoLogger;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class GpsInfoLoggerTest {
	public static void main(String[] args) throws IOException {
		BufferedReader reader =
				new BufferedReader(new FileReader("test/core/input.txt"));
		String buff;
		while ((buff = reader.readLine()) != null) {
			if(buff.startsWith("$GPGGA")){
				// processing GGA data
				System.out.println((FirstLevelInfoProcessor.processGpsInfo(buff)).getMsg());
				System.out.println(GpsInfoLogger.getInstance().addGpsInfo(buff));
			}
		}
		System.out.println(GpsInfoLogger.getInstance().toString());
		System.out.println(GpsInfoLogger.getInstance().outputFile(ApplicationProperty.getInstance().getSourcePass() + "output" + ApplicationProperty.getInstance().getFileType()));
		System.out.println("end");
	}

}
